Bug 151378 - Installer fails to format a xfs partition
Summary: Installer fails to format a xfs partition
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-17 14:00 UTC by lars@bistromatic.de
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 15:09:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description lars@bistromatic.de 2005-03-17 14:00:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
Installer fails to format a xfs partition after manual setup of partitions.
Creating and formating a xfs partition before installation of fc4t1 and using it without formating afterwards works however. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start fc4t1 install with 'linux xfs'
2. choose "manually partition with Disk Druid"
3. setup root partition using xfs and format partition

  

Actual Results:  Installer fails. Reporting that the partition is unusable.

Expected Results:  Installer should format partition and start installation of fc4.

Additional info:

Comment 1 Chris Lumens 2005-03-18 15:09:07 UTC
XFS is completely unsupported.

Comment 2 Need Real Name 2005-03-22 10:39:48 UTC
So is Fedora. If there's going to be an xfs option, it should at least work at
install.

Comment 3 Paul Nasrat 2005-03-22 10:55:27 UTC
No this is completely unsupported in anaconda from the src:
 
       # this is totally, 100% unsupported.  Boot with "linux xfs"
        # at the boot: prompt will let you make new xfs filesystems
        # in the installer.  Bugs filed when you use this will be closed
        # WONTFIX.

If you have a patch to get it working feel free to submit that but both xfs and
reiserfs are unsupported within anaconda development.

Comment 4 Need Real Name 2005-03-22 10:57:15 UTC
JFS too?

Comment 5 Paul Nasrat 2005-03-22 11:04:09 UTC
Yes - please refer to anaconda/fsset.py 

CVS details here:

http://fedora.redhat.com/projects/anaconda-installer/

Comment 6 Need Real Name 2005-03-25 14:05:53 UTC
According to "rawhide report: 20050325 changes", this is fixed now.


Note You need to log in before you can comment on or make changes to this bug.